<ng-template #ghostRef>
  <section>
    <sfl-list>
      <sfl-list-item *ngFor="let ghost of ghosts" @fadeOut>
        <mat-icon before>link</mat-icon>
        <sfl-ghost-line></sfl-ghost-line>
      </sfl-list-item>
    </sfl-list>
  </section>
</ng-template>

<ng-template #noDataRef>
  <p class="noData">{{ 'shared.noData' | translate }}</p>
</ng-template>

<header>
  <h1 class="top-appear">{{ 'sharedLinks.title' | translate }}</h1>
  <h2 class="top-appear">{{ 'sharedLinks.subtitle' | translate }}</h2>
</header>

<section *ngIf="!ghosts.length; else ghostRef">
  <sfl-list *ngIf="links?.length; else noDataRef">
    <sfl-list-item *ngFor="let link of links" [router]="['/', 'sharedList', link.sharedList._id]">
      <button
        type="button"
        before
        mat-icon-button
        (click)="copied(link)"
        [matTooltip]="'sharedLinks.tip.copy' | translate"
        sfl-stop-propagation
      >
        <mat-icon>link</mat-icon>
      </button>
      {{ link.sharedList.label }}
      <button
        type="button"
        after
        mat-icon-button
        [matTooltip]="'shared.tip.delete' | translate"
        sfl-stop-propagation
        color="warn"
        (click)="delete(link)"
      >
        <mat-icon>delete</mat-icon>
      </button>
    </sfl-list-item>
  </sfl-list>
</section>

<sfl-fixed-bottom-actions @fade>
  <a
    type="button"
    class="ng-fade"
    aria-label="add genre"
    mat-fab
    [routerLink]="['edit']"
    [matTooltip]="'shared.tip.createRessource' | translate: { ressource: ('shared.resources.shared-link' | translate) } | capitalize"
  >
    <mat-icon>add</mat-icon>
  </a>
</sfl-fixed-bottom-actions>
